org.springframework.web.servlet.view.tiles

## Class TilesJstlView

- java.lang.Object
- - org.springframework.context.support.ApplicationObjectSupport
  - - org.springframework.web.context.support.WebApplicationObjectSupport
    - - org.springframework.web.servlet.view.AbstractView
      - - org.springframework.web.servlet.view.AbstractUrlBasedView
        - - org.springframework.web.servlet.view.InternalResourceView
          - - org.springframework.web.servlet.view.tiles.TilesView
            - - org.springframework.web.servlet.view.tiles.TilesJstlView

All Implemented Interfaces:
  Aware, BeanNameAware, InitializingBean, ApplicationContextAware, ServletContextAware, View

Deprecated.
as of Spring 3.0

    @Deprecated
    public class TilesJstlView
    extends TilesView

Specialization of `TilesView` for JSTL pages, i.e. Tiles pages that use the JSP Standard Tag Library.

NOTE: This TilesJstlView class supports Tiles 1.x, a.k.a. "Struts Tiles", which comes as part of Struts 1.x. For Tiles 2.x support, check out `TilesView`.

Exposes JSTL-specific request attributes specifying locale and resource bundle for JSTL's formatting and message tags, using Spring's locale and message source.

This is a separate class mainly to avoid JSTL dependencies in TilesView itself.

Since:
  20.08.2003
Author:
  Juergen Hoeller
See Also:
  `JstlUtils.exposeLocalizationContext(javax.servlet.http.HttpServletRequest, org.springframework.context.MessageSource)`

### Field Summary

### Fields inherited from class org.springframework.web.servlet.view.tiles.TilesView

`PATH_ATTRIBUTE`

### Fields inherited from class org.springframework.web.servlet.view.AbstractView

`DEFAULT_CONTENT_TYPE`

### Fields inherited from class org.springframework.context.support.ApplicationObjectSupport

`logger`

### Fields inherited from interface org.springframework.web.servlet.View

`PATH_VARIABLES, RESPONSE_STATUS_ATTRIBUTE, SELECTED_CONTENT_TYPE`

### Constructor Summary

Constructors
Constructor and Description
`TilesJstlView()` Deprecated.

### Method Summary

Methods
`protected void` `exposeHelpers(HttpServletRequest request)` Deprecated. Expose helpers unique to each rendering operation.

### Methods inherited from class org.springframework.web.servlet.view.tiles.TilesView

`executeController, getComponentContext, getComponentDefinition, getController, getDispatcherPath, initApplicationContext, prepareForRendering, setPath`

### Methods inherited from class org.springframework.web.servlet.view.InternalResourceView

`exposeForwardRequestAttributes, getRequestDispatcher, getRequestToExpose, initServletContext, isContextRequired, renderMergedOutputModel, setAlwaysInclude, setExposeContextBeansAsAttributes, setExposedContextBeanNames, setExposeForwardAttributes, setPreventDispatchLoop, useInclude`

### Methods inherited from class org.springframework.web.servlet.view.AbstractUrlBasedView

`afterPropertiesSet, checkResource, getUrl, isUrlRequired, setUrl, toString`

### Methods inherited from class org.springframework.web.servlet.view.AbstractView

`addStaticAttribute, createMergedOutputModel, createRequestContext, createTemporaryOutputStream, exposeModelAsRequestAttributes, generatesDownloadContent, getAttributesMap, getBeanName, getContentType, getRequestContextAttribute, getStaticAttributes, isExposePathVariables, prepareResponse, render, setAttributes, setAttributesCSV, setAttributesMap, setBeanName, setContentType, setExposePathVariables, setRequestContextAttribute, setResponseContentType, writeToResponse`

### Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport

`getServletContext, getTempDir, getWebApplicationContext, initApplicationContext, setServletContext`

### Methods inherited from class org.springframework.context.support.ApplicationObjectSupport

`getApplicationContext, getMessageSourceAccessor, requiredContextClass, setApplicationContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TilesJstlView

    public TilesJstlView()

Deprecated.

### Method Detail

#### exposeHelpers

    protected void exposeHelpers(HttpServletRequest request)
                          throws Exception

Deprecated.
Description copied from class: `InternalResourceView`
Expose helpers unique to each rendering operation. This is necessary so that different rendering operations can't overwrite each other's contexts etc.

Called by `InternalResourceView.renderMergedOutputModel(Map, HttpServletRequest, HttpServletResponse)`. The default implementation is empty. This method can be overridden to add custom helpers as request attributes.

Overrides:
  `exposeHelpers` in class `InternalResourceView`
Parameters:
  `request` - current HTTP request
Throws:
  `Exception` - if there's a fatal error while we're adding attributes
See Also:
  `InternalResourceView.renderMergedOutputModel(java.util.Map<java.lang.String, java.lang.Object>, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)`, `JstlView.exposeHelpers(javax.servlet.http.HttpServletRequest)`